### Signal

# GimpUi PaletteSelectButton::palette-set

#### Declaration

    void
    palette_set (
      GimpPaletteSelectButton* self,
      gchar* palette_name,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::palette-set signal is emitted when the user selects a palette.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 2.4

#### Parameters

`palette_name` | `gchar*`
| The name of the currently selected palette.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`dialog_closing` | `gboolean`
| Whether the dialog was closed or not.